Update an opportunity
curl -X PATCH "https://api.talkturo.com/api/crm/opportunities/example_string" \
-H "Content-Type: application/json" \
-d '{
"title": "example_string",
"value": 3.14,
"stage": "example_string",
"contact_id": "example_string",
"company_id": "example_string",
"expected_close_date": "example_string"
}'
import requests
import json
url = "https://api.talkturo.com/api/crm/opportunities/example_string"
headers = {
"Content-Type": "application/json"
}
data = {
"title": "example_string",
"value": 3.14,
"stage": "example_string",
"contact_id": "example_string",
"company_id": "example_string",
"expected_close_date": "example_string"
}
response = requests.patch(url, headers=headers, json=data)
print(response.json())
const response = await fetch("https://api.talkturo.com/api/crm/opportunities/example_string", {
method: "PATCH",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"title": "example_string",
"value": 3.14,
"stage": "example_string",
"contact_id": "example_string",
"company_id": "example_string",
"expected_close_date": "example_string"
})
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
"bytes"
"encoding/json"
)
func main() {
data := []byte(`{
"title": "example_string",
"value": 3.14,
"stage": "example_string",
"contact_id": "example_string",
"company_id": "example_string",
"expected_close_date": "example_string"
}`)
req, err := http.NewRequest("PATCH", "https://api.talkturo.com/api/crm/opportunities/example_string", bytes.NewBuffer(data))
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.talkturo.com/api/crm/opportunities/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(uri)
request['Content-Type'] = 'application/json'
request.body = '{
"title": "example_string",
"value": 3.14,
"stage": "example_string",
"contact_id": "example_string",
"company_id": "example_string",
"expected_close_date": "example_string"
}'
response = http.request(request)
puts response.body
{
"success": true,
"opportunity": {
"id": "example_string",
"title": "example_string",
"value": 3.14,
"stage": "example_string",
"contact_id": "example_string",
"company_id": "example_string",
"expected_close_date": "example_string"
}
}
{
"error": "Unauthorized",
"message": "Authentication required. Please provide a valid API token",
"code": 401
}
{
"error": "Not Found",
"message": "The requested resource was not found",
"code": 404
}
PATCH
/crm/opportunities/{id}PATCH
Base URLstring
Target server for requests. Edit to use your own host.
API Key (cookie: sb-access-token)
sb-access-tokenstring
RequiredAuthenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Authenticated Talkturo web session cookie (Supabase httpOnly session).
Browser clients typically send this automatically after sign-in.
Related refresh cookies may also be present depending on the client.
path
idstring
RequiredOpportunity ID
Content-Typestring
RequiredThe media type of the request body
Options: application/json
Request Preview
Response
Response will appear here after sending the request
Authentication
path
parameterstring
RequiredAPI Key for authentication. Authenticated Talkturo web session cookie (Supabase httpOnly session). Browser clients typically send this automatically after sign-in. Related refresh cookies may also be present depending on the client.
Path Parameters
idstring
RequiredOpportunity ID
Body
application/json
Responses
successboolean
opportunityobject
Was this page helpful?